<?php
namespace Magento\AdminNotification\Block\System\Messages;

/**
 * Interceptor class for @see \Magento\AdminNotification\Block\System\Messages
 */
class Interceptor extends \Magento\AdminNotification\Block\System\Messages implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Backend\Block\Template\Context $context, \Magento\AdminNotification\Model\ResourceModel\System\Message\Collection\Synchronized $messages, \Magento\Framework\Json\Helper\Data $jsonHelper, \Magento\Framework\Serialize\Serializer\Json $serializer, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $messages, $jsonHelper, $serializer, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
